// Swing-Komponenten sind im Package javax.swing
import javax.swing.JFrame;

public class Swing1{

	public static void main(String[] args){
		// JFrame (unsichtbar) erzeugen mit einem Titel
		JFrame jfMain = new JFrame("Hier steht der Titel");
		
		// Aktion setzen, die ausgefuehrt wird, wenn auf das
		// 'x' in der Titelleiste geklickt wird.
		// Hier wird das Fenster nicht nur verborgen (hide)
		// sondern komplett entfernt (dispose)
		jfMain.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

		// Eine Groesse fuer das Fenster vorgeben
		jfMain.setSize(400,300);
		
		// JFrame anzeigen (sichtbar machen)	
		jfMain.setVisible(true);
		
		// Das Programm laeuft hier direkt weiter und beendet
		// sich nicht, da das erzeugt Fenster noch existiert!
		System.out.println("JFrame wurde erzeugt");
	}
}
